DataConfig.Entity (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.dataimport.DataConfig.Entity class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.dataimport
Class DataConfig.Entity

    java.lang.Object
      org.apache.solr.handler.dataimport.DataConfig.Entity

Enclosing class:
  DataConfig

    public static class DataConfig.Entity

extends Object

Field Summary
`Map<String,String>` | `allAttributes`
`List<Map<String,String>>` | `allFieldsList`
`Map<String,List<DataConfig.Field>>` | `colNameVsField`
`String` | `dataSource`
`DataSource` | `dataSrc`
`String` | `docRoot`
`List<DataConfig.Entity>` | `entities`
`List<DataConfig.Field>` | `fields`
`boolean` | `initalized`
`boolean` | `isDocRoot`
`String` | `name`
`DataConfig.Entity` | `parentEntity`
`String` | `pk`
`String` | `pkMappingFromSchema`
`String` | `proc`
`EntityProcessorWrapper` | `processor`

Constructor Summary
`DataConfig.Entity()`
`DataConfig.Entity(Element element)`

Method Summary
`void` | `clearCache()`
`String` | `getPk()`
`String` | `getSchemaPk()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public String name

### pk

    public String pk

### pkMappingFromSchema

    public String pkMappingFromSchema

### dataSource

    public String dataSource

### allAttributes

    public Map<String,String> allAttributes

### proc

    public String proc

### docRoot

    public String docRoot

### isDocRoot

    public boolean isDocRoot

### fields

    public List<DataConfig.Field> fields

### allFieldsList

    public List<Map<String,String>> allFieldsList

### entities

    public List<DataConfig.Entity> entities

### parentEntity

    public DataConfig.Entity parentEntity

### processor

    public EntityProcessorWrapper processor

### dataSrc

    public DataSource dataSrc

### colNameVsField

    public Map<String,List<DataConfig.Field>> colNameVsField

### initalized

    public boolean initalized

Constructor Detail

### DataConfig.Entity

    public DataConfig.Entity()

### DataConfig.Entity

    public DataConfig.Entity(Element element)

Method Detail

### clearCache

    public void clearCache()

### getPk

    public String getPk()

### getSchemaPk

    public String getSchemaPk()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD